#!/usr/bin/env bash

export HYSOP_VERBOSE=0
export HYSOP_DEBUG=0
export KERNEL_DEBUG=0

set -e

pushd . > /dev/null
SCRIPT_PATH="${BASH_SOURCE[0]}"
if [ -h "${SCRIPT_PATH}" ]; then
    while [ -h "${SCRIPT_PATH}" ]; 
        do cd $(dirname "$SCRIPT_PATH"); 
        SCRIPT_PATH=$(readlink "${SCRIPT_PATH}");
    done
fi
cd $(dirname ${SCRIPT_PATH}) > /dev/null
SCRIPT_PATH=$(pwd)
popd  > /dev/null

TEST_FILE=$SCRIPT_PATH/test_cartesian.py

for i in 2; do
     mpirun --allow-run-as-root --oversubscribe -np $i python2 $TEST_FILE
done
